QXmppArchiveRemoveIq Class Reference
Stanzas

Represents an archive remove IQ as defined by XEP-0136: Message Archiving. More...

`#include <QXmppArchiveIq.h>`

Inheritance diagram for QXmppArchiveRemoveIq:

List of all members.

## Public Member Functions

QString | with () const
void | setWith (const QString &with)
QDateTime | start () const
void | setStart (const QDateTime &start)
QDateTime | end () const
void | setEnd (const QDateTime &end)

## Detailed Description

Represents an archive remove IQ as defined by XEP-0136: Message Archiving.

## Member Function Documentation

QDateTime QXmppArchiveRemoveIq::end | ( |  | ) | const

Returns the end date/time for the archived conversations.

void QXmppArchiveRemoveIq::setEnd | ( | const QDateTime & | end | ) |

Sets the end date/time for the archived conversations.

Parameters:

  end |

void QXmppArchiveRemoveIq::setStart | ( | const QDateTime & | start | ) |

Sets the start date/time for the archived conversations.

Parameters:

  start |

void QXmppArchiveRemoveIq::setWith | ( | const QString & | with | ) |

Sets the JID which archived conversations must match.

Parameters:

  with |

QDateTime QXmppArchiveRemoveIq::start | ( |  | ) | const

Returns the start date/time for the archived conversations.

QString QXmppArchiveRemoveIq::with | ( |  | ) | const

Returns the JID which archived conversations must match.

The documentation for this class was generated from the following files:

- QXmppArchiveIq.h
- QXmppArchiveIq.cpp

All Classes Functions Enumerations Enumerator Properties